POST
/api/v1/sso/organizations/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "idp-624178", "sso_enabled": false}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "idp-624178", "sso_enabled": False, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "idp-624178", "sso_enabled": false }),});console.log(await response.json());For creating a new IdP organization in E2E Cloud, you must follow the sequence of steps below after calling this API:
- Create an Organization for the IdP.
- Create a Realm for the newly created Organization.
- Upload the Federation (IdP) Metadata XML file to the created Realm using the API:
POST /myaccount/api/v1/sso/organizations/{organization_id}/realms/{realm_id}/identity-sources/saml/idp-metadata/ - Create SSO Clients for the created Realm and organization.
- Verify the client configurations and SSO setup.
- Enable SSO for the Organization once all configurations are verified using Update IdP API.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
Name of the SSO organization
string
Example
idp-624178sso_enabled
Whether SSO is enabled for the organization
boolean
Example
falseResponses
Section titled “Responses”Organization created successfully
Media typeapplication/json
object
id
string
ern
string
org_ref
string
name
string
email
string
domain
string
customer_id
string
status
string
sso_enabled
boolean
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "id": "019a783b-8688-7578-a47a-25536922f02e", "ern": "ern:e2e:organizations::master-account:organization/019a783b-8688-7578-a47a-25536922f02e", "org_ref": 64058431970, "name": "idp-624178", "email": null, "domain": null, "customer_id": "1790", "status": "ACTIVE", "sso_enabled": false, "created_at": "2025-11-12T13:22:38.346570Z", "updated_at": "2025-11-12T13:22:38.346613Z"}